<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="utf-8">
	<title>Objeto XMLHTTPRequest</title>
	<script type="text/javascript">
		function enPantalla(text){
			let element = document.getElementById('container');
			element.textContent = text;
		}
		function enconsola(params){
			console.log(params);
		}
	</script>
</head>
<body>
	<button id="request">Petición</button>
	<section id="container">
		Respuesta a petición:
	</section>
	<script type="text/javascript">	
	let req = new XMLHttpRequest(),
    	method = "GET",
   		url = "https://jsonplaceholder.typicode.com/posts/1/comments";

	req.open(method, url, true);
	let contador = 0;
	req.onreadystatechange = function() {
			enconsola(['cuantas veces se revisó?: ', contador]); contador++;
			//XMLHttpRequest.DONE = 4
	        if(req.readyState === XMLHttpRequest.DONE && req.status === 200) {
	            enconsola(req.responseText);
	            enPantalla(JSON.parse(req.responseText));
	        }
	};
	//req.send();   //????
	document.getElementById('request')
		.addEventListener('click', function() {
  			this.style.display = 'none';
  			req.send();
	}); 
	</script>
</body>
</html>